<?php if (is_active_sidebar('footer') || is_active_sidebar('footer_columns_three') || is_active_sidebar('footer_columns_tow') || is_active_sidebar('footer_columns_four')) { ?>
  <section class="first-footer">
    <h3 class="hide"><?php echo esc_html__('Footer', 'osterisk'); ?></h3>
    <div class="monster">
    <div class="row">
      <section class="block">
        <?php
        if (osterisk_get_option('wd_footer_columns') == 'one_columns') {
          $column_one = 12;
          $column_tow = '';
          $column_three = '';
          $column_four = '';

        } elseif (osterisk_get_option('wd_footer_columns') == 'tow_a_columns') {
          $column_one = 6;
          $column_tow = 6;
          $column_three = '';
          $column_four = '';
        } elseif (osterisk_get_option('wd_footer_columns') == 'tow_b_columns') {
          $column_one = 4;
          $column_tow = 8;
          $column_three = '';
          $column_four = '';
        } elseif (osterisk_get_option('wd_footer_columns') == 'tow_c_columns') {
          $column_one = 8;
          $column_tow = 4;
          $column_three = '';
          $column_four = '';

        } elseif (osterisk_get_option('wd_footer_columns') == 'three_columns') {
          $column_one = 4;
          $column_tow = 4;
          $column_three = 4;
          $column_four = '';
        } else {
          $column_one = 3;
          $column_tow = 3;
          $column_three = 3;
          $column_four = 3;
        }
        ?>
        <div class="small-12 large-<?php echo esc_attr($column_one) ?> medium-12 columns">
          <?php dynamic_sidebar('footer')  ?>
        </div>
        <?php if (osterisk_get_option('wd_footer_columns') == 'tow_a_columns' or osterisk_get_option('wd_footer_columns') == 'four_columns' or osterisk_get_option('wd_footer_columns') == 'three_columns' or osterisk_get_option('wd_footer_columns') == 'tow_b_columns' or osterisk_get_option('wd_footer_columns') == 'tow_c_columns') { ?>
          <div class="small-12 large-<?php echo esc_attr($column_tow) ?> medium-12 columns">
            <?php dynamic_sidebar('footer_columns_tow') ?>
          </div>
        <?php } ?>

        <?php if (osterisk_get_option('wd_footer_columns') == 'three_columns' or osterisk_get_option('wd_footer_columns') == 'four_columns') { ?>
          <div class="small-12 large-<?php echo esc_attr($column_three) ?> medium-12 columns">
            <?php dynamic_sidebar('footer_columns_three') ?>
          </div>
        <?php } ?>

        <?php if (osterisk_get_option('wd_footer_columns') == 'four_columns') { ?>
          <div class="small-12 large-<?php echo esc_attr($column_four) ?> medium-12 columns">
            <?php dynamic_sidebar('footer_columns_four')?>
          </div>
        <?php } ?>
      </section>
    </div>
    </div>
  </section>
<?php } ?>

<footer class="second-footer">
  <div class="row">
      <div class="copyright medium-3 large-3 columns">
          <?php echo html_entity_decode(osterisk_get_option('wd_copyright', '&copy; 2022 Osterisk All rights reserved. ')); ?>
      </div>
    <div class="powered medium-6 large-6 columns">
      <section class="block">
          <?php
            $defaults = array(
                'theme_location' => 'footer-menu',
                'menu' => '',
                'container' => 'div',
                'container_class' => 'menu-menu-container',
                'container_id' => '',
                'menu_class' => 'menu',
                'menu_id' => 'menu-menu',
                'echo' => true,
                'fallback_cb' => false,
                'before' => '',
                'after' => '',
                'link_before' => '',
                'link_after' => '',
                'items_wrap' => '<ul id="%1$s" class="%2$s">%3$s</ul>',
                'depth' => 0,
                'walker' => new osterisk_top_bar_walker,
            );
            wp_nav_menu($defaults);
           ?>
      </section>
    </div>
    <div class="footer-social-media medium-3 large-3 columns">
      <?php
      $socialmediaicon_arry = explode(' ', osterisk_get_option('social_icon'));
      $socialmedia_arry = explode(' ', osterisk_get_option('socialmedia_name'));
      if (!empty($socialmedia_arry[0])) {
        ?>
        <ul class="footer-social-media">
          <?php
          $i = 0;
          foreach ($socialmedia_arry as $social_data) {
            $i++;
            ?>
            <li class="">
            <a href="<?php echo esc_url($social_data) ?>"><i class="fab fa-<?php echo esc_attr($socialmediaicon_arry[$i - 1]) ?>"></i></a>
            </li><?php
          }
          ?>
        </ul>
        <?php
      }
      ?>
    </div>
  </div>
</footer>
</div>
<?php
$menu_style = osterisk_get_option('wd_menu_style');
if ($menu_style == "offcanvas") { ?>
  <a class="exit-off-canvas"></a>
<?php } ?>

<?php wp_footer(); ?>
</body>
</html>