<!doctype html>
<!--[if IE 9]>
<html class="lt-ie10" lang="en"> <![endif]-->
<html class="no-js" <?php language_attributes(); ?> >
<head>
  <meta charset="<?php bloginfo( 'charset' ); ?>">
  <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
	<?php if ( ! function_exists( 'has_site_icon' ) ) {
		if ( osterisk_get_option( 'wd_favicon', '' ) != '' ) { ?>
      <link rel="shortcut icon" href="<?php echo esc_url( osterisk_get_option( 'wd_favicon' ) ); ?>"/>
		<?php }
	} ?>
	<?php wp_head() ?>
</head>
<body <?php body_class(); ?>>
<?php wp_body_open() ?>
<?php if ( osterisk_get_option( 'loading_page' ) == 'on' ) { ?>
  <div class="page-loading">
    <div class="spinner">
      <div class="double-bounce1"></div>
      <div class="double-bounce2"></div>
    </div>
  </div>
	<?php
}
$menu_style = isset( $_GET['menustyle'] ) ? $_GET['menustyle'] : osterisk_get_option( 'wd_menu_style', 'creative' ); ?>
<?php if ( osterisk_get_option( 'osterisk_mobile_menu_layout' ) == 'offcanvas' ): ?>
	<?php get_template_part( 'template-parts/mobile-off-canvas' ); ?>
<?php endif; ?>

<div id="spaces-main" class="pt-perspective <?php if ( osterisk_get_option( 'wd_box_wrapper' ) == 'on' ) {
	echo 'wd_wrapper';
} ?>">
	<?php if ( osterisk_get_option( 'wd_show_top_social_bare' ) == 'on' ) { ?>
    <div class="top-header">
      <div class="row">
        <div class="large-6">
          <div class="__top-header-left">
						<?php
						if ( osterisk_get_option( 'language_area_html' ) != "" ) {
							echo html_entity_decode( osterisk_get_option( 'language_area_html' ) );
						}
						if ( osterisk_get_option( 'language_area_html' ) == "on" ) {
							if ( do_action( 'icl_language_selector' ) ) {
								do_action( 'icl_language_selector' );
							}
						}
						?>
          </div>
        </div>
        <div class="large-6">
          <div class="__top-header-right">
            <ul class="addres">
              <li> <?php if (!empty(osterisk_get_option( 'phone' ))){?> <i class="fas fa-phone-square"></i><?php echo esc_html(osterisk_get_option( 'phone' )); }?></li>
              <li> <?php if (!empty(osterisk_get_option( 'adress' ))){?> <i class="fas fa-map-marked-alt"></i><?php echo esc_html(osterisk_get_option( 'adress' )); }?></li>
              <li> <?php if (!empty(osterisk_get_option( 'time' ))){?> <i class="fas fa-clock"></i><?php echo esc_html(osterisk_get_option( 'time' )); }?></li>
            </ul>
          </div>
        </div>
      </div>
    </div>
	<?php } ?>
  <header class="l-header <?php echo esc_attr( $menu_style ); ?>-layout" data-sticky-container>
    <div class="top-bar-container <?php if ( osterisk_get_option( 'wd_menu_in_grid' ) == 'on' ) {
			echo "contain-to-grid";
		} ?> <?php if ( osterisk_get_option( 'wd_menu_sticky' ) != 'off' ) {
			echo "sticky slideUp";
		} ?> ">
      <div class="site-title-bar" <?php osterisk_title_bar_responsive_toggle(); ?> data-hide-for="large">
        <div class="title-bar-left">
          <button aria-label="<?php _e( 'Main Menu', 'osterisk' ); ?>" class="menu-icon" type="button"
                  data-toggle="<?php osterisk_mobile_menu_id(); ?>"></button>
          <span class="site-mobile-title title-bar-title logo">
                    <?php osterisk_get_logo_and_title(); ?>
				</span>
        </div>
      </div>
      <nav class="site-navigation top-bar" role="navigation">
        <div class="top-bar-left">
          <div class="site-desktop-title top-bar-title">
            <div class="logo-wrapper <?php if ( osterisk_get_option( 'wd_show_title', '' ) == 'on' ) {
							echo "title-displayed";
						} ?>" data-dropdown-menu>
              <div class="menu-text">
								<?php osterisk_get_logo_and_title(); ?>
              </div>
            </div>
          </div>
        </div>
        <div class="top-bar-right">
					<?php if ( $menu_style == "corporate" ) {
						osterisk_top_bar_primary();
						if ( osterisk_get_option( 'osterisk_mobile_menu_layout' ) !== 'offcanvas' ) {
							get_template_part( 'template-parts/mobile-top-bar' );
						}
					}
					if ( $menu_style == "creative" ) {
						osterisk_top_bar_primary();
						if ( osterisk_get_option( 'osterisk_mobile_menu_layout' ) !== 'offcanvas' ) {
							get_template_part( 'template-parts/mobile-top-bar' );
						}
					}
					?>
        </div>
      </nav>
    </div>
  </header>