<?php
/**
 *
// initialize options
*/
if (!function_exists('osterisk_initialize_options')) {
  function osterisk_initialize_options()
  {


    if (!get_option("wd_options_array")) {
      $options_array = get_option("wd_options_array");
      $options_array = array(
        'wd_show_logo' => "",
        'wd_show_cart' => "",
        'wd_show_top_social_bare' => "",
        'wd_box_wrapper' => "",
        'wd_menu_in_grid' => "",
        'wd_menu_sticky' => "",
        'loading_page' => "",
        'wd_show_title' => "on",
        'wd_footer_bg_image' => "",
        'footer_bg_color' => "",
        'footer_text_color' => "",
        'wd_copyright' => "",
        'wd_poweredby' => "",
        'copyright_text_color' => "",
        'wd_logo' => "",
        'wd_404_page' => "",
        'wd_home_page' => "",
        'wd_favicon' => "",
        'wrapper_bg_color' => "",
        'primary_color' => "",
        'secondary_color' => "",
        'adress_bar_color' => "",
        'social_bar_color' => "",
        'copyright_bg' => "",
        'header_bg' => "",
        'container_bg' => "",
        'wd_footer_columns' => "",
        'navigation_text_color' => "",
        'navigation_bg_color_sticky' => "",
        'language_area_html' => "",
        'osterisk_show_wpml_widget' => '',
        'twitter' => "",
        'facebook' => "",
        'flickr' => "",
        'vimeo' => "",
        'phone' => "",
        'adress' => "",
        'wd_body_font_familly' => "Martel Sans",
        'wd_body_font_style' => "",
        'wd_font-weight-style' => "300",
        'wd_body_font_weight_list' => "200,300,400,600,700,800,900",
        'wd_main_text_lettre_spacing' => '',
        'wd_main-text-font-subsets' => "",
        'wd_head_font_familly' => "Martel Sans",
        'wd_head_font_style' => "",
        'wd_heading-font-weight-style' => "",
        'wd_heading-text-font-subsets' => "",
        'wd_heading_text_lettre_spacing' => "",
        'wd_navigation_font_familly' => "'Poppins', 'Open Sans', sans-serif",
        'wd_navigation_font_style' => "",
        'wd_navigation-font-weight-style' => "",
        'wd_navigation-text-font-subsets' => "",
        'wd_navigation_text_lettre_spacing' => "",
        'wd_menu_style' => "",
        'wd_theme_custom_js' => ""
      );
      update_option("wd_options_array", $options_array);
    }
  }
}


/**
 *
 */
// get options value
if (!function_exists('osterisk_get_option')) {
  function osterisk_get_option($osterisk_option_key, $osterisk_option_default_value = null)
  {
    osterisk_initialize_options();
    $options_array = get_option("wd_options_array");

    // for demo purpose
    if(function_exists("wd_custom_options")) {
      $options_array = wd_custom_options($options_array);
    }


    $osterisk_meta_value = "";
    if (array_key_exists($osterisk_option_key, $options_array)) :
      if (isset($options_array[$osterisk_option_key]) && !empty($options_array[$osterisk_option_key])) {
        $osterisk_meta_value = esc_attr($options_array[$osterisk_option_key]);
      }

      if ($osterisk_meta_value == "") {
        $osterisk_meta_value = $osterisk_option_default_value;
      }
    endif;
    return $osterisk_meta_value;
  }
}

/**
 *
 */
// get options value
if (!function_exists('osterisk_save_option')) {
  function osterisk_save_option($osterisk_option_key, $osterisk_option_value = null)
  {
    $options_array = get_option("wd_options_array");
    $options_array[$osterisk_option_key] = $osterisk_option_value;
    update_option("wd_options_array", $options_array);
  }
}

/**
 *
 */
if (!function_exists('osterisk_get_categories')) {
  function osterisk_get_categories($taxonomy = '')
  {
    $args = array(
      'type' => 'post',
      'hide_empty' => 0
    );

    $output = array();

    $args['taxonomy'] = $taxonomy;
    $categories = get_categories($args);

    if (!empty($categories) && is_array($categories)) {
      foreach ($categories as $category) {
        if (is_object($category)) {
          $output[$category->name] = $category->slug;
        }
      }
    }

    return $output;
  }
}

/**
 * @param $string
 * @return string
 */
function osterisk_removeslashes($string)
{
  $string = implode("", explode("\\", $string));

  return stripslashes(trim($string));
}

/**
 *
 */
function osterisk_get_logo_and_title() {

  $osterisk_logo_path = get_template_directory_uri() . "/images/logogosterisk.png";
  $osterisk_logo = osterisk_get_option('wd_logo', $osterisk_logo_path);

  if (osterisk_get_option('wd_show_logo', '') == 'on' && osterisk_get_option('wd_logo', $osterisk_logo_path) != ''){ ?>
    <?php $image = osterisk_get_option('wd_logo', $osterisk_logo);
    ?>
    <a href="<?php echo esc_url(home_url('/')); ?>" rel="home" title="<?php echo bloginfo('name') ?>"
       class="active"><img src="<?php echo esc_url($image); ?>"
                           alt="<?php echo esc_attr__('logo', 'osterisk') ?>"/></a>
  <?php }else{ ?>
    <a class="site-title" href="<?php echo esc_url(home_url('/')); ?>"><h1><?php echo bloginfo('name') ?></h1>
    </a>
  <?php }

}


/**
 * Get mobile menu ID
 */

if ( ! function_exists( 'osterisk_mobile_menu_id' ) ) :
  function osterisk_mobile_menu_id() {

      echo 'mobile-menu';

  }
endif;





/*-----------------add Body Classes------------------------------------------*/
function osterisk_body_classes($classes)
{
  if (osterisk_get_option('wd_box_wrapper') == 'on') {
    $classes[] = 'bg_body_color';
  }

  if (osterisk_get_option('wd_page_transitions') != 'off') {
    $classes[] = 'wd_page_transitions';
  }
  return $classes;
}

add_filter('body_class', 'osterisk_body_classes');

function osterisk_theme_add_editor_styles()
{
  add_editor_style('custom-editor-style.css');
}

add_action('admin_init', 'osterisk_theme_add_editor_styles');


