<?php


class osterisk_base_class {

  private static $instance;
  public $helpers;
  public $customizer;
  public $activation;
  public $integrations;
  public $widgets;
  public $template;
  public $page_settings;
  public $widgetized_pages;

  public static function instance () {
    if(!isset(self::$instance) && !(self::$instance instanceof osterisk_base_class)) {
      self::$instance = new self;
    }

    return self::$instance;
  }

  public function __construct () {
    $this->base();
    $this->setup();
  }

  // Integration getter helper
  public function get ($integration) {
    return $this->integrations->get($integration);
  }

  private function base () {
    $this->files = array('customizer/class-customizer.php');

    foreach($this->files as $file) {
      require_once(get_template_directory() . '/inc/' . $file);
    }
  }

  private function setup () {

    $this->customizer = new osterisk_Customizer();

    add_action('after_setup_theme', array($this,
      'setup_theme'));
  }

  public function setup_theme () {
    load_theme_textdomain('osterisk', get_template_directory() . '/languages');
    add_editor_style('css/editor-style.css');

    add_theme_support('custom-background', apply_filters('osterisk_custom_background_args', array('default-color' => 'ffffff',
      'default-image' => '',)));

  }

}