<?php

class osterisk_Customizer_Panels {

    public function __construct() {
        $this->priority = new osterisk_Customizer_Priority(0, 10);

        add_action( 'customize_register', array( $this, 'register_panels' ), 9 );
      //  add_action( 'customize_register', array( $this, 'organize_appearance' ), 11 );
    }

    public function panel_list() {
        $this->panels = array();


        $this->panels[ 'Osterisk_options' ] = array(
            'title' => esc_html__( 'Osterisk Options', 'osterisk' ),
            'sections' => array(
                'osterisk_general' => array(
                    'title' => esc_html__( 'General Settings', 'osterisk' ),
                ),
                'osterisk_top_header' => array(
                    'title' => esc_html__( 'Top Header Settings', 'osterisk' ),
                ),
                'osterisk_colors' => array(
                    'title' => esc_html__( 'Colors Settings', 'osterisk' ),
                ),
                'osterisk_social_icons' => array(
                    'title' => esc_html__( 'Social Icons Settings', 'osterisk' ),
                ),
                'osterisk_custom_js' => array(
                    'title' => esc_html__( 'Custom JS', 'osterisk' ),
                ),
                'osterisk_footer' => array(
                    'title' => esc_html__( 'Footer Settings', 'osterisk' ),
                )
            )
        );


        return $this->panels;
    }

    public function register_panels( $wp_customize ) {
        $panels = $this->panel_list();

        foreach ( $panels as $key => $panel ) {
            $defaults = array(
                'priority' => $this->priority->next()
            );

            $panel = wp_parse_args( $defaults, $panel );

            $wp_customize->add_panel( $key, $panel );

            $sections = isset( $panel[ 'sections' ] ) ? $panel[ 'sections' ] : false;

            if ( $sections ) {
                $this->add_sections( $key, $sections, $wp_customize );
            }
        }
    }

    public function add_sections( $panel, $sections, $wp_customize ) {
        foreach ( $sections as $key => $section ) {
            $wp_customize->add_section( $key, array(
                'title' => $section[ 'title' ],
                'panel' => $panel,
                'priority' => isset( $section[ 'priority' ] ) ? $section[ 'priority' ] : $this->priority->next(),
                'description' => isset( $section[ 'description' ] ) ? $section['description' ] : ''
            ) );

            include_once( get_template_directory() . '/inc/customizer/controls/class-controls-' . $key . '.php' );
        }
    }

    public function organize_appearance( $wp_customize ) {
        $wp_customize->get_section( 'osterisk_general' )->panel = 'osterisk_options';
        $wp_customize->get_section( 'osterisk_colors' )->panel = 'osterisk_options';
        $wp_customize->get_section( 'osterisk_top_header' )->panel = 'osterisk_options';
        $wp_customize->get_section( 'osterisk_social_icons' )->panel = 'osterisk_options';
        $wp_customize->get_section( 'osterisk_custom_js' )->panel = 'osterisk_options';
        $wp_customize->get_section( 'osterisk_footer' )->panel = 'osterisk_options';

        return $wp_customize;
    }

}
