<?php

class osterisk_Customizer_Controls_Footer extends osterisk_Customizer_Controls {

    public $controls = array();

    public function __construct() {
        $this->section = 'osterisk_footer';
        $this->priority = new osterisk_Customizer_Priority(49, 1);

        parent::__construct();

        add_action( 'customize_register', array( $this, 'add_controls' ), 30 );
        add_action( 'customize_register', array( $this, 'set_controls' ), 35 );
    }

    public function add_controls( $wp_customize ) {
        $this->controls = array(
            'wd_options_array[wd_footer_columns]' => array(
                'label' => esc_html__( 'Footer columns', 'osterisk' ),
                'type'    => 'radio',
                'default' => osterisk_get_option('wd_footer_columns'),
                'choices' => array(
                    'one_columns' => esc_html__( '1 Column', 'osterisk' ),
                    'tow_a_columns' => esc_html__( '2 columns (1/2 + 1/2)', 'osterisk' ),
                    'tow_b_columns' => esc_html__( '2 columns (1/3 + 2/3)', 'osterisk' ),
                    'tow_c_columns' => esc_html__( '2 columns (2/3 + 1/3)', 'osterisk' ),
                    'three_columns' => esc_html__( '3 columns', 'osterisk' ),
                    'four_columns' => esc_html__( '4 columns', 'osterisk' ),
                ),
                'sanitize_callback' => 'esc_attr',
                'description' => esc_html__( 'Footer columns', 'osterisk' )
            ),
            'wd_options_array[wd_footer_bg_image]' => array(
	            'label' => esc_html__( 'Footer background image', 'osterisk' ),
	            'type' => 'WP_Customize_Image_Control',
	            'default' => osterisk_get_option('wd_footer_bg_image'),
	            'settings' => 'wd_options_array[wd_footer_bg_image]'
            ),
            'wd_options_array[osterisk_copyright]' => array(
                'label' => esc_html__( 'Footer Copyright Text', 'osterisk' ),
                'type' => 'text',
                'default' => osterisk_get_option('osterisk_copyright'),
                'description' => 'Footer copyright text',
                'input_attrs' => array(
                    'placeholder' => esc_html__('Footer copyright text','osterisk')
                )
            ),
            'wd_options_array[wd_poweredby]' => array(
                'label' => esc_html__( 'Powered by text', 'osterisk' ),
                'type' => 'text',
                'default' => osterisk_get_option('wd_poweredby'),
                'input_attrs' => array(
                    'placeholder' => esc_html__('Powered by','osterisk')
                )
            )
        );

        return $this->controls;
    }

}

new osterisk_Customizer_Controls_Footer();
