<?php

class osterisk_Customizer_Controls_General extends osterisk_Customizer_Controls {

	public $controls = array();

	public function __construct () {
		$this->section = 'osterisk_general';
		//   $this->priority = new osterisk_Customizer_Priority(0, 1);

		parent::__construct();

		add_action('customize_register', array($this,
		                                       'add_controls'), 30);
		add_action('customize_register', array($this,
		                                       'set_controls'), 35);
	}

	public function add_controls ($wp_customize) {
		$this->controls = array(
            'wd_options_array[wd_box_wrapper]' => array(
                'label' => esc_html__( 'Boxed Layout', 'osterisk' ),
                'type' => 'radio',
                'default' => osterisk_get_option('wd_box_wrapper'),
                'settings' => 'wd_options_array[wd_box_wrapper]',
                'choices'  => array(
                    'on'  => 'Yes',
                    'of' => 'No',
                ),
            ),
            'wd_options_array[wd_menu_style]' => array(
                'label' => esc_html__( 'Menu style', 'osterisk' ),
                'type' => 'select',
                'default' => osterisk_get_option('wd_menu_style'),
                'settings' => 'wd_options_array[wd_menu_style]',
                'choices'  => array(
                    'corporate'  => 'corporate',
                    'creative' => 'creative',
                ),
            ),
            'wd_options_array[osterisk_mobile_menu_layout]' => array(
                'label' => esc_html__( 'Menu Mobile layout', 'osterisk' ),
                'type' => 'select',
                'default' => osterisk_get_option('osterisk_mobile_menu_layout'),
                'settings' => 'wd_options_array[osterisk_mobile_menu_layout]',
                'choices'  => array(
                    'default'  => 'default',
                    'offcanvas' => 'offcanvas',
                ),
            ),
			'wd_options_array[osterisk_title_bg_image]' => array(
				'label' => esc_html__( 'Default Title Bar background image', 'osterisk' ),
				'type' => 'WP_Customize_Image_Control',
				'default' => osterisk_get_option('osterisk_title_bg_image'),
				'settings' => 'wd_options_array[osterisk_title_bg_image]'
			),
			'wd_options_array[wd_home_page]' => array(
				'label' => esc_html__( 'Background image', 'osterisk' ),
				'type' => 'WP_Customize_Image_Control',
				'default' => osterisk_get_option('wd_home_page'),
				'settings' => 'wd_options_array[wd_home_page]'
			),
			'wd_options_array[wd_show_title]' => array(
				'label' => esc_html__( 'Show Website Title', 'osterisk' ),
				'type' => 'radio',
				'default' => osterisk_get_option('wd_show_title'),
				'settings' => 'wd_options_array[wd_show_title]',
				'choices'  => array(
					'on'  => 'Yes',
					'' => 'No',
				),
			),
            'wd_options_array[wd_show_logo]' => array(
                'label' => esc_html__( 'Show Website Logo', 'osterisk' ),
                'type' => 'radio',
                'default' => osterisk_get_option('wd_show_logo'),
                'settings' => 'wd_options_array[wd_show_logo]',
                'choices'  => array(
                    'on'  => 'Yes',
                    '' => 'No',
                ),
            ),
			'wd_options_array[wd_menu_in_grid]' => array(
				'label' => esc_html__( 'Show the menu in the grid', 'osterisk' ),
				'type' => 'radio',
				'default' => osterisk_get_option('wd_menu_in_grid'),
				'settings' => 'wd_options_array[wd_menu_in_grid]',
				'choices'  => array(
					'on'  => 'Yes',
					'' => 'No',
				),
			),
			'wd_options_array[wd_menu_sticky]' => array(
				'label' => esc_html__( 'Stick the menu to Top', 'osterisk' ),
				'type' => 'radio',
				'default' => osterisk_get_option('wd_menu_sticky'),
				'settings' => 'wd_options_array[wd_menu_sticky]',
				'choices'  => array(
					'on'  => 'Yes',
					'' => 'No',
				),
			),
         'wd_options_array[loading_page]' => array(
	            'label' => esc_html__( 'Animation to loading page', 'osterisk' ),
	            'type' => 'radio',
	            'default' => osterisk_get_option('loading_page'),
	            'settings' => 'wd_options_array[loading_page]',
	            'choices'  => array(
		            'on'  => 'Yes',
		            '' => 'No',
	            ),
         ),
            'wd_options_array[wd_logo]' => array(
                'label' => esc_html__( 'Logo Link', 'osterisk' ),
                'type' => 'WP_Customize_Image_Control',
                'default' => osterisk_get_option('wd_logo'),
                'settings' => 'wd_options_array[wd_logo]'
            ),
			'wd_options_array[shred_map_key]' => array(
				'label' => esc_html__( 'Google Key Map', 'osterisk' ),
				'type' => 'text',
				'default' => osterisk_get_option('shred_map_key'),
				'settings' => 'wd_options_array[shred_map_key]',
			),
		);

		return $this->controls;
	}

}

new osterisk_Customizer_Controls_General();
