<?php

class osterisk_Customizer_Controls_top_header extends osterisk_Customizer_Controls {

	public $controls = array();

	public function __construct() {
		$this->section = 'osterisk_top_header';
		//   $this->priority = new osterisk_Customizer_Priority(0, 1);

		parent::__construct();

		add_action( 'customize_register', array( $this, 'add_controls' ), 30 );
		add_action( 'customize_register', array( $this, 'set_controls' ), 35 );
	}

	public function add_controls( $wp_customize ) {
		$this->controls = array(
			'wd_options_array[wd_show_top_social_bare]' => array(
				'label'    => esc_html__( 'Show Top bar', 'osterisk' ),
				'type'     => 'radio',
				'default'  => osterisk_get_option( 'wd_show_top_social_bare' ),
				'settings' => 'wd_options_array[wd_show_top_social_bare]',
				'choices'  => array(
					'on' => 'Yes',
					''   => 'No',
				),
			),
			'wd_options_array[wd_call_to_action]'       => array(
				'label'    => esc_html__( 'Call to Action Button', 'osterisk' ),
				'type'     => 'textarea',
				'default'  => osterisk_get_option( 'wd_call_to_action' ),
				'settings' => 'wd_options_array[wd_call_to_action]'
			),
			'wd_options_array[social_bar_color]'        => array(
				'label'       => esc_html__( 'Social bar color', 'osterisk' ),
				'type'        => 'WP_Customize_Color_Control',
				'default'     => osterisk_get_option( 'social_bar_color' ),
				'description' => 'osterisk social bar color control'
			),
			'wd_options_array[adress_bar_color]'        => array(
				'label'       => esc_html__( 'Address Bar color', 'osterisk' ),
				'type'        => 'WP_Customize_Color_Control',
				'default'     => osterisk_get_option( 'adress_bar_color' ),
				'description' => 'osterisk address bar color control'
			),
			'wd_options_array[language_area_html]'      => array(
				'label'    => esc_html__( 'Custom HTML area', 'osterisk' ),
				'type'     => 'textarea',
				'default'  => osterisk_get_option( 'language_area_html' ),
				'settings' => 'wd_options_array[language_area_html]'
			),
			'wd_options_array[phone]'                   => array(
				'label'    => esc_html__( 'Your Phone number', 'osterisk' ),
				'type'     => 'text',
				'default'  => osterisk_get_option( 'phone' ),
				'settings' => 'wd_options_array[phone]'
			),
			'wd_options_array[adress]'                  => array(
				'label'    => esc_html__( 'Your Address', 'osterisk' ),
				'type'     => 'text',
				'default'  => osterisk_get_option( 'adress' ),
				'settings' => 'wd_options_array[adress]'
			),
			'wd_options_array[time]'                    => array(
				'label'    => esc_html__( 'Your time', 'osterisk' ),
				'type'     => 'text',
				'default'  => osterisk_get_option( 'time' ),
				'settings' => 'wd_options_array[time]'
			),

		);

		return $this->controls;
	}

}

new osterisk_Customizer_Controls_top_header();
