<?php
/**
 * Enqueue all styles and scripts
 *
 * Learn more about enqueue_script: {@link https://codex.wordpress.org/Function_Reference/wp_enqueue_script}
 * Learn more about enqueue_style: {@link https://codex.wordpress.org/Function_Reference/wp_enqueue_style }
 *
 * @package osterisk
 * @since osterisk 1.0.0
 */



function osterisk_load_js_css_file(){

  /*----------google -fonts ------------------*/
  $osterisk_font_body_name = osterisk_get_option('wd_body_font_familly', "default");
  $osterisk_font_weight_style = osterisk_get_option('wd_body_font_weight_list');
  $osterisk_main_text_font_subsets = osterisk_get_option('wd_main-text-font-subsets');

  $font_header_name = osterisk_get_option('wd_head_font_familly', "Martel");
  $osterisk_heading_font_weight_style = osterisk_get_option('wd_heading-font-weight-style-list');
  $osterisk_heading_text_font_subsets = osterisk_get_option('wd_heading-text-font-subsets');

  $osterisk_navigation_font_familly = osterisk_get_option('wd_navigation_font_familly', "default");
  $osterisk_navigation_font_weight_style = osterisk_get_option('wd_navigation-font-weight-style-list');
  $osterisk_navigation_text_font_subsets = osterisk_get_option('wd_navigation-text-font-subsets');


  $osterisk_protocol = is_ssl() ? 'https' : 'http';
  if (is_rtl()) {
    wp_enqueue_style('osterisk_body_google_fonts', osterisk_fonts_url('Droid Arabic Kufi', '400,700', 'latin,latin-ext'), array(), '1.0.0');
  } elseif ($osterisk_font_body_name != "default" && $osterisk_font_weight_style != "") {
    wp_enqueue_style('osterisk_body_google_fonts', osterisk_fonts_url($osterisk_font_body_name, $osterisk_font_weight_style, $osterisk_main_text_font_subsets), array(), '1.0.0');
  } else {
    wp_enqueue_style('wd_body_google_fonts', osterisk_fonts_url('Martel Sans', '300,400,600,700','latin,latin-ext'), array(), '1.0.0');
  }


  if ($font_header_name != "default" && $osterisk_heading_font_weight_style != "") {
    wp_enqueue_style('osterisk_header_google_fonts', osterisk_fonts_url($font_header_name, $osterisk_heading_font_weight_style, $osterisk_main_text_font_subsets), array(), '1.0.0');
  }

  if ($osterisk_navigation_font_familly != "default" && $osterisk_navigation_font_weight_style != "") {
    wp_enqueue_style('wd_navigation_google_fonts', osterisk_fonts_url($osterisk_navigation_font_familly, $osterisk_navigation_font_weight_style, $osterisk_navigation_text_font_subsets), array(), '1.0.0');
  }

  wp_enqueue_style('animation-custom', get_template_directory_uri() . "/css/animate-custom.css");
  wp_enqueue_style('foundation-min', get_template_directory_uri() . "/css/foundation.min.css");
  wp_enqueue_style('osterisk-app', get_template_directory_uri() . "/css/app.css");
  wp_enqueue_style('component', get_template_directory_uri() . "/css/vendor/component.css");
  wp_enqueue_style('osterisk-style', get_template_directory_uri() . '/style.css');
  wp_enqueue_style('slick-min', get_template_directory_uri() . "/css/slick.min.css");
  wp_enqueue_style('slick-theme', get_template_directory_uri() . "/css/slick-theme.css");
  wp_enqueue_style('mediaelementplayer', get_template_directory_uri() . "/css/mediaelementplayer.css");
  wp_enqueue_style('fontawesome-min', get_template_directory_uri() . "/css/fontawesome.min.css");
  if (is_singular() && get_option('thread_comments'))
    wp_enqueue_script('comment-reply');

  wp_enqueue_script('wd-script-min', get_template_directory_uri() . "/js/wd-script.min.js", array('jquery', 'hoverIntent'),'1.0.0',true);

  $osterisk_map_key = osterisk_get_option('osterisk_map_key');
  if ($osterisk_map_key){
	  wp_enqueue_script('googlemapskey', $osterisk_protocol."://maps.googleapis.com/maps/api/js?key=" . $osterisk_map_key . "", array('jquery'), '4.4.2', false);
  }

  include_once(get_template_directory() . '/inc/custom-style.php');

  wp_add_inline_style('osterisk-style', $osterisk_custom_css);
  //*********/inline style***************/

}

add_action('wp_enqueue_scripts', 'osterisk_load_js_css_file');