<?php

// This theme uses wp_nav_menu() in two locations.
register_nav_menus(array(
  'primary' => esc_html__('Primary Navigation', 'osterisk'),
  'right-menu' => esc_html__('Right', 'osterisk'),
  'footer-menu' => esc_html__('Footer', 'osterisk'),
));



/**
 * Desktop navigation - right top bar
 *
 * @link http://codex.wordpress.org/Function_Reference/wp_nav_menu
 */
if ( ! function_exists( 'osterisk_top_bar_primary' ) ) {
  function osterisk_top_bar_primary() {
    wp_nav_menu(
    array(
        'container'      => false,
        'menu_class'     => 'desktop-menu menu',
        'theme_location' => 'primary',
        'depth'          => 4,
        'fallback_cb' => 'osterisk_main_menu_fallback',
        'walker'         => new osterisk_top_bar_walker(),
      )

    );
    if( osterisk_get_option('wd_call_to_action') != "") { ?>
      <div class="header-cta show-for-large-up large-screen">
        <?php echo html_entity_decode(osterisk_get_option('wd_call_to_action')); ?>
      </div>
    <?php }


  }
}

/**
 * Mobile navigation - topbar (default) or offcanvas
 */
if ( ! function_exists( 'osterisk_mobile_nav' ) ) {
  function osterisk_mobile_nav() {
    wp_nav_menu(
      array(
        'container'      => false,                         // Remove nav container
        'menu'           => esc_html__( 'mobile-nav', 'osterisk' ),
        'menu_class'     => 'vertical menu',
        'theme_location' => 'primary',
        'items_wrap'     => '<ul id="%1$s" class="%2$s" data-accordion-menu data-submenu-toggle="true">%3$s</ul>',
        'fallback_cb'    => false,
        'walker'         => new osterisk_Mobile_Walker(),
      )
    );
    if( osterisk_get_option('wd_call_to_action') != "") { ?>
      <div class="header-cta show-for-medium-down">
        <?php echo html_entity_decode(osterisk_get_option('wd_call_to_action')); ?>
      </div>
    <?php }
  }
}
/**
 * Get title bar responsive toggle attribute
 */

if ( ! function_exists( 'osterisk_title_bar_responsive_toggle' ) ) {
  function osterisk_title_bar_responsive_toggle() {

    echo 'data-responsive-toggle="mobile-menu"';

  }
}


/**
 * Menu Fallback
 */

function osterisk_main_menu_fallback()
{
  echo '<div class="empty-menu">';
  echo esc_html__('Please assign a menu to the primary menu location under ', 'osterisk'); ?>
  <a href="<?php echo get_admin_url(get_current_blog_id(), 'nav-menus.php') ?>"><?php echo esc_html__('Menus Settings', 'osterisk') ?></a>
  </div> <?php
}