<?php 

/*============================= Row =====================================*/

vc_add_param("vc_row",
	array(
		'type' => 'colorpicker',
		'heading' => esc_html__( 'Text Color', 'osterisk' ),
		'param_name' => 'font_color',
		'description' => esc_html__( 'Select font color', 'osterisk' ),
	)
);
vc_add_param("vc_row", array(
  "type" => "checkbox",
  "class" => "",
  "heading" => "Parallax",
  "param_name" => "parallax",
  "value" => array("Use background as parallax ?" => "yes" )
));
vc_add_param("vc_row", array(
	"type" => "textfield",
	"class" => "",
	"heading" => "Parallax Speed",
	"param_name" => "speed",
	'dependency' => array(
		'element' => 'parallax',
		'not_empty' => true,
	),
));
vc_add_param("vc_row", array(
	"type" => "dropdown",
	"heading" => "Delimiter Style",
	"param_name" => "wd_row_delimiter_style",
	"value" => array('none' => "none",
	                 'Vertical line at the bottom center' => "vertical_line_bottom_center",
	                 'Vertical line at the bottom right' => "vertical_line_bottom_right",
	                 'Vertical line at the bottom left' => "vertical_line_bottom_left",
	                ),
	"group" => "Delimiter"
));
vc_add_param("vc_row", array(
	"type" => "textfield",
	"class" => "",
	"heading" => "Delimiter Height",
	"param_name" => "wd_row_delimiter_height",
	"dependency" => Array("element" => "wd_row_delimiter_style",
	                      "value" => array('vertical_line_bottom_center',
		                                     'vertical_line_bottom_right',
		                                     'vertical_line_bottom_left')),
	"group" => "Delimiter"
));
vc_add_param("vc_row", array(
	"type" => "colorpicker",
	"heading" => esc_html__("Border Color", 'osterisk'),
	"param_name" => "wd_row_delimiter_color",
	"value" => "#bbb",
	"dependency" => Array("element" => "wd_row_delimiter_style",
	                      "value" => array('vertical_line_bottom_center',
										                     'vertical_line_bottom_right',
										                     'vertical_line_bottom_left')),
	"group" => "Delimiter"
));


vc_add_param("vc_row", array(
  "type" => "checkbox",
  "class" => "",
  "heading" => "Equal Height Columns",
  "param_name" => "equalizer",
  "value" => array("Create equal height content on your row ?" => "yes" )
));

vc_add_param("vc_row", array(
	"type" => "textfield",
	"heading" => "Background text parallax",
	"param_name" => "text_paralax",
	"description"     => "text background parallax",
));
vc_add_param("vc_row", array(
	"type" => "textfield",
	"heading" => "Background text parallax offset",
	"param_name" => "text_parallax_offset",
	'value' => '0',
	"description"     => "text background parallax offset (200px)",
));
vc_add_param("vc_row", array(
	"type" => "textfield",
	"class" => "",
	"heading" => "Animation Delay (ms)",
	"param_name" => "animation_delay",
	"description"     => "Animation delay to add to this row children.",
));

vc_add_param("vc_row", array(
  'type' => 'dropdown',
  'heading' => esc_html__( 'Background Position', 'osterisk' ),
  'param_name' => 'background_position',
  'group' => esc_html__( 'Design Options', 'osterisk' ),
  'value' => array(
    'default' => 'default',
    'left top' => 'left top',
    'left center' => 'left center',
    'left bottom' => 'left bottom',
    'right top' => 'right top',
    'right center' => 'right center',
    'right bottom' => 'right bottom',
    'center top' => 'center top',
    'center' => 'center',
    'center bottom' => 'center bottom',


  ),
  'std' => 'default',
));