<?php

/*============================= Video =====================================*/
if(function_exists('vc_remove_param')) {
    vc_remove_param('vc_video','link');
    vc_remove_param('vc_tour','title');
    vc_remove_param('vc_single_image','onclick');
}

vc_add_param('vc_video',array(
        'type' => 'dropdown',
        'class' => '',
        'heading' => esc_html__('Video mode...', 'osterisk'),
        'param_name' => 'video_module_mode',
        'value' => array(
            esc_html__('Simple video', 'osterisk') => 'simple',
            esc_html__('Full screen video', 'osterisk') => 'full_screen'
        ),
    )
);
vc_add_param('vc_video',array(
        'type' => 'textfield',
        'heading' => esc_html__( 'Video link', 'osterisk' ),
        'param_name' => 'link',
        'admin_label' => true,
        'description' => sprintf( esc_html__( 'Link to the video. More about supported formats at %s.', 'osterisk' ), '<a href="http://codex.wordpress.org/Embeds#Okay.2C_So_What_Sites_Can_I_Embed_From.3F" target="_blank">WordPress codex page</a>' ),
        'dependency' => array('element' => 'video_module_mode','value' => array('simple')),
    )
);
vc_add_param('vc_video',array(
        'type' => 'attach_image',
        'class' => '',
        'heading' => esc_html__('Thumbnail Image', 'osterisk'),
        'param_name' => 'video_thumb_image',
        'value' => '',
        'description' => esc_html__('Upload or select video thumbnail image from media gallery.', 'osterisk'),
    )
);
vc_add_param('vc_video',array(
        'type' => 'textfield',
        'class' => '',
        'heading' => esc_html__('Thumbnail Image resize', 'osterisk'),
        'param_name' => 'video_thumb_image_size',
        'value' => '800x530',
        'description' => esc_html__('select video thumbnail image size.', 'osterisk'),
    )
);
vc_add_param('vc_video',array(
        'type' => 'dropdown',
        'class' => '',
        'heading' => esc_html__('Video source', 'osterisk'),
        'param_name' => 'video_source',
        'value' => array(
            esc_html__('Youtube', 'osterisk') => 'youtube',
            esc_html__('Vimeo', 'osterisk') => 'vimeo'
        ),
        'dependency' => array('element' => 'video_module_mode','value' => array('full_screen')),
    )
);
vc_add_param('vc_video',array(
        'type' => 'textfield',
        'heading' => esc_html__( 'Video ID', 'osterisk' ),
        'param_name' => 'video_id',
        'admin_label' => true,
        'dependency' => array('element' => 'video_module_mode','value' => array('full_screen')),
    )
);
vc_add_param('vc_video',array(
        'type' => 'dropdown',
        'class' => '',
        'heading' => esc_html__('Label Alignment','osterisk'),
        'param_name' => 'module_alignment',
        "value" => array(
            esc_html__('Left','osterisk') => "text-left",
            esc_html__('Center','osterisk') => "text-center",
            esc_html__('Right','osterisk') => "text-right"
        ),
        'dependency' => array('element' => 'video_module_mode','value' => array('full_screen')),
    )
);
vc_add_param('vc_video',array(
        'type' => 'dropdown',
        'class' => '',
        'heading' => esc_html__('Modal Size (width)','osterisk'),
        'param_name' => 'modal_size',
        "value" => array(
            esc_html__('Medium (60%)','osterisk') => "medium",
            esc_html__('Small (40%)','osterisk') => "small",
            esc_html__('Tiny (30%)','osterisk') => "tiny",
            esc_html__('Large (70%)','osterisk') => "large",
            esc_html__('XLarge (95%)','osterisk') => "xlarge",
            esc_html__('Full (100%)','osterisk') => "full"
        ),
        'dependency' => array('element' => 'video_module_mode','value' => array('full_screen')),
    )
);
vc_add_param('vc_video',array(
        'type' => 'colorpicker',
        'class' => '',
        'heading' => esc_html__('Icon color', 'osterisk'),
        'param_name' => 'icon_color',
        'dependency' => array('element' => 'video_module_mode','value' => array('full_screen')),
    )
);
vc_add_param('vc_video',array(
        'type' => 'colorpicker',
        'heading' => esc_html__('Label background', 'osterisk'),
        'param_name' => 'label_background',
        'dependency' => array('element' => 'video_module_mode','value' => array('full_screen')),
    )
);