<?php
global $vc_add_css_animation;

vc_map(array(
    'name' => esc_html__('Progress Bar', 'osterisk'),
    'base' => 'osterisk_progressbar',
    "icon" => get_template_directory_uri() . "/images/icon/meknes.png",
    "content_element" => true,
    "is_container" => false,
    "category" => 'Webdevia',
    'params' => array(

        array(
            'type' => 'textfield',
            'heading' => esc_html__('Widget title', 'osterisk'),
            'param_name' => 'title',
            'description' => esc_html__('Enter text used as widget title (Note: located above content element).', 'osterisk'),
        ),
        array(
            'type' => 'param_group',
            'heading' => esc_html__('Values', 'osterisk'),
            'param_name' => 'values',
            'description' => esc_html__('Enter values for graph - value, title.', 'osterisk'),
            'value' => urlencode(json_encode(array(
                array(
                    'label' => esc_html__('Development', 'osterisk'),
                    'value' => '90',
                ),
                array(
                    'label' => esc_html__('Design', 'osterisk'),
                    'value' => '80',
                ),
                array(
                    'label' => esc_html__('Marketing', 'osterisk'),
                    'value' => '70',
                ),
            ))),
            'params' => array(
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__('Label', 'osterisk'),
                    'param_name' => 'label',
                    'description' => esc_html__('Enter text used as title of bar.', 'osterisk'),
                    'admin_label' => true,
                ),
                array(
                    'type' => 'colorpicker',
                    'heading' => esc_html__('Label color', 'osterisk'),
                    'param_name' => 'label_color',
                    'description' => esc_html__('Enter color text.', 'osterisk'),
                    'admin_label' => true,
                ),
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__('Value', 'osterisk'),
                    'param_name' => 'value',
                    'description' => esc_html__('Enter value of bar.', 'osterisk'),
                    'admin_label' => true,
                ),
                array(
                    'type' => 'colorpicker',
                    'heading' => esc_html__('Value color', 'osterisk'),
                    'param_name' => 'value_color',
                    'description' => esc_html__('Enter color text.', 'osterisk'),
                    'admin_label' => true,
                ),
            ),
        ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__('Units', 'osterisk'),
            'param_name' => 'units',
            'description' => esc_html__('Enter measurement units (Example: %, px, points, etc. Note: graph value and units will be appended to graph title).', 'osterisk'),
        ),
        array(
            'type' => 'css_editor',
            'heading' => esc_html__('CSS box', 'osterisk'),
            'param_name' => 'css',
            'group' => esc_html__('Design Options', 'osterisk'),
        ),
        $vc_add_css_animation,
    ),
));