<?php
global $vc_add_css_animation;

vc_map(array(
	"name" => esc_html__("Text Block with Icon", 'osterisk'),
	"base" => "wd_icon_text",
	"icon" => get_template_directory_uri() . "/images/icon/meknes.png",
	"content_element" => true,
	"is_container" => FALSE,
  "category" => 'Webdevia',
  "params" => array(
    array(
      "type" => "textfield", // it will bind a textfield in WP
      "heading" => esc_html__("Title", 'osterisk'),
      "param_name" => "title",
      "admin_label" => true,
    ),
      array(
      "type" => "vc_link", // it will bind a textfield in WP
      "heading" => esc_html__("Link", 'osterisk'),
      "param_name" => "box_link",
      "admin_label" => true,
    ),
    array(
      "type" => "textarea", // it will bind a textfield in WP
      "heading" => esc_html__("Text", 'osterisk'),
      "param_name" => "text",
    ),
    array(
      "type" => "dropdown", // it will bind a textfield in WP
      "heading" => esc_html__("Box Shadow", 'osterisk'),
      "param_name" => "box_shadow",
      "value" => array(
        "Small" => "small-shadow",
        "Medium" => "medium-shadow",
        "Large" => "large-shadow",
        "None" => "none",
      ),
      'group' => esc_html__('Box style', 'osterisk'),
    ),
    array(
      'type' => 'css_editor',
      'heading' => esc_html__('Css', 'osterisk'),
      'param_name' => 'css',
      'group' => esc_html__('Design options', 'osterisk'),
    ),
    array(
      'type' => 'dropdown',
      'heading' => esc_html__('Image type:', 'osterisk'),
      'param_name' => 'choice',
      'value' => array(
        'Icon' => 'icon_choice',
        'Image File (png, jpg, svg, gif)' => 'image_choice',
        'SVG Code' => 'svg_choice',
      ),
    ),
    array(
      "type" => "iconpicker", // it will bind a textfield in WP
      "heading" => esc_html__("Icon", 'osterisk'),
      "param_name" => "icon",

      "dependency" => Array("element" => "choice", "value" => array('icon_choice'))
    ),
    array(
      "type" => "colorpicker", // it will bind a textfield in WP
      "heading" => esc_html__("Icon Color", 'osterisk'),
      "param_name" => "icon_color",

      "dependency" => Array("element" => "choice", "value" => array('icon_choice'))
    ),
    array(
      "type" => "attach_image", // it will bind a textfield in WP
      "heading" => esc_html__("Image File", 'osterisk'),
      "param_name" => "image",
      "dependency" => Array("element" => "choice", "value" => array('image_choice'))
    ),
    array(
      "type" => "textfield", // it will bind a textfield in WP
      "heading" => esc_html__("Image width", 'osterisk'),
      "param_name" => "image_width",
      "dependency" => Array("element" => "choice", "value" => array('image_choice'))
    ),
    array(
      "type" => "textarea_raw_html", // it will bind a textfield in WP
      "heading" => esc_html__("SVG Code", 'osterisk'),
      "param_name" => "secondary_svg",

      "dependency" => Array("element" => "choice", "value" => array('svg_choice'))
    ),
    array(
      'type' => 'dropdown',
      'heading' => esc_html__('Icon / Image / SVG Position', 'osterisk'),
      'param_name' => 'position',
      'value' => array(
        'Left' => 'left_position',
        'Top' => 'top_position',
        'Right' => 'right_position',
      ),
    ),
    array(
      'type' => 'dropdown',
      'heading' => esc_html__('Text Align', 'osterisk'),
      'param_name' => 'text_align',
      'value' => array(
        'Center' => 'center',
        'left' => 'left',
        'Right' => 'right',
      ),
      "dependency" => Array("element" => "position", "value" => array('top_position'))
    ),

		$vc_add_css_animation
	)
));