<?php
/**
 * The Template for displaying product archives, including the main shop page which is a post type archive
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/archive-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates
 * @version 3.4.0
 */

defined( 'ABSPATH' ) || exit;

get_header( 'shop' );
?>
<?php if ( apply_filters( 'woocommerce_show_page_title', true ) ) : ?>
  <section class="titlebar">
    <div class="row">
      <div class="large-12 columns">
        <h1 id="page-title" class="title"><?php woocommerce_page_title(); ?></h1>
      </div>
    </div>
  </section>
<?php endif; ?>
<?php
/**
 * Hook: woocommerce_archive_description.
 *
 * @hooked woocommerce_taxonomy_archive_description - 10
 * @hooked woocommerce_product_archive_description - 10
 */
do_action( 'woocommerce_archive_description' );
?>
  <div class="row">
    <div class="large-3 small-12 medium-12 columns has-image1 shop-sidebar">
			<?php get_sidebar( 'shop' ); ?>
      <div class="right1-image">
        <img
          src= "<?php echo get_template_directory() ?> /images/map3.jpg"
          alt="<?php echo esc_attr__('background','osterisk') ?>">
      </div>
    </div>


    <div class="large-<?php if ( is_active_sidebar( 'shop' ) ) { echo "9";}else{ echo "12";} ?> small-12 medium-12 columns has-images">
			<?php
			if ( woocommerce_product_loop() ) {

				/**
				 * Hook: woocommerce_before_shop_loop.
				 *
				 * @hooked woocommerce_output_all_notices - 10
				 * @hooked woocommerce_result_count - 20
				 * @hooked woocommerce_catalog_ordering - 30
				 */
				do_action( 'woocommerce_before_shop_loop' );

				woocommerce_product_loop_start();

				if ( wc_get_loop_prop( 'total' ) ) {
					while ( have_posts() ) {
						the_post();

						/**
						 * Hook: woocommerce_shop_loop.
						 */
						do_action( 'woocommerce_shop_loop' );

						wc_get_template_part( 'content', 'product' );
					}
				}

				woocommerce_product_loop_end();

				/**
				 * Hook: woocommerce_after_shop_loop.
				 *
				 * @hooked woocommerce_pagination - 10
				 */
				do_action( 'woocommerce_after_shop_loop' );
			} else {
				/**
				 * Hook: woocommerce_no_products_found.
				 *
				 * @hooked wc_no_products_found - 10
				 */
				do_action( 'woocommerce_no_products_found' );
			}

			/**
			 * Hook: woocommerce_after_main_content.
			 *
			 * @hooked woocommerce_output_content_wrapper_end - 10 (outputs closing divs for the content)
			 */
			do_action( 'woocommerce_after_main_content' );
			?>
      <div class="right2-image">
        <img
          src="http://themes.webdevia.com/osterisk-voip-cloud-services-wordpress-theme/wp-content/uploads/2018/07/map1.jpg"
          style=" max-width: 150px;">
      </div>
    </div>

  </div>
<?php
get_footer( 'shop' );
