<?php

if (!function_exists('osterisk_models_code')) {
function osterisk_models_code($atts)
{
  global $osterisk_fonts_to_enqueue_array;
  $osterisk_fonts_to_enqueue_array = array();
  extract(shortcode_atts(array(
    'headings_title' => '',
    'headings_alignment' => 'center',
    'osterisk_heading_font_family' => '',
    'osterisk_heading_font_style' => 'normal',
    'osterisk_heading_font_weight' => '400',
    'osterisk_heading_font_size' => '',
    'osterisk_heading_color' => '#fff',
    'osterisk_heading_text_transform' => '',
    'osterisk_heading_line_height' => '',
    'osterisk_heading_letter_spacing' => '',

    'osterisk_button_text' => 'Search',
  ), $atts));
  $headings_alignment = "text-" . $headings_alignment;

  $custom_header_inline_style = "margin:0;";
  $osterisk_font_family_heading_to_enqueue = "";

  if ($osterisk_heading_font_family != '' && $osterisk_heading_font_family != 'Default') {
    $custom_header_inline_style .= 'font-family:' . esc_attr($osterisk_heading_font_family) . ';';
    $osterisk_font_family_heading_to_enqueue .= esc_attr($osterisk_heading_font_family) . ":";
  }
  if ($osterisk_heading_font_weight != '') {
    $custom_header_inline_style .= 'font-weight:' . esc_attr($osterisk_heading_font_weight) . ';';
    $osterisk_font_family_heading_to_enqueue .= esc_attr($osterisk_heading_font_weight) . "%7C";
  }
  if ($osterisk_heading_font_size != '') {
    $custom_header_inline_style .= 'font-size:' . esc_attr($osterisk_heading_font_size) . 'px;';
  }
  if ($osterisk_heading_color != '') {
    $custom_header_inline_style .= 'color:' . esc_attr($osterisk_heading_color) . ';';
  }
  if ($osterisk_heading_text_transform != '') {
    $custom_header_inline_style .= 'text-transform:' . esc_attr($osterisk_heading_text_transform) . ';';
  }
  if ($osterisk_heading_line_height != '') {
    $custom_header_inline_style .= 'line-height:' . esc_attr($osterisk_heading_line_height) . 'px;';
  }
  if ($osterisk_heading_letter_spacing != '') {
    $custom_header_inline_style .= 'letter-spacing:' . esc_attr($osterisk_heading_letter_spacing) . 'px;';
  }

  ob_start();

  $product_tax_parents = get_terms(array(
    'taxonomy' => 'product_tax',
    'hide_empty' => false,
    'parent' => 0
  ));
  ?>
  <script>
    jQuery(document).ready(function ($) {

      var ajaxurl = '<?php echo admin_url('admin-ajax.php'); ?>';
      $('.brands_form #marques').on('select2:select', function (e) {
        $('.brands_form .brands').append("<span class='fa fa-spinner fa-spin'></span>");
        $('.brands_form .brands .select2-selection__arrow').hide();
        var brands = $('.brands_form #marques').find(':selected').data('id');
        $.ajax({
          type: "POST",
          url: ajaxurl,
          data: {
            action: "osterisk_products_model",
            brands: brands
          },
          success: function (data) {
            $('.brands_form #models').html(data);
            $(".brands .fa-spinner").remove();
            $('.brands_form .brands .select2-selection__arrow').show();
          },
          error: function (errorThrown) {
            alert(errorThrown);
          }
        });
      });
      $('.brands_form #models').on('select2:select', function (e) {
        $('.brands_form .keyword').append("<span class='fa fa-spinner fa-spin'></span>");
        $('.brands_form .keyword .select2-selection__arrow').hide();
        var years = $('.brands_form #models').find(':selected').data('id');
        $.ajax({
          type: "POST",
          url: ajaxurl,
          data: {
            action: "osterisk_products_years",
            years: years
          },
          success: function (data) {
            $('.brands_form #year').html(data);
            $(".keyword .fa-spinner").remove();
            $('.brands_form .keyword .select2-selection__arrow').show();
          },
          error: function (errorThrown) {
            alert(errorThrown);
          }
        });
      });

    });
  </script>
  <div class="brands_header <?php echo $headings_alignment ?>">
    <h2 style="<?php echo esc_attr($custom_header_inline_style) ?>"><?php echo $headings_title ?></h2>
  </div>
  <div class="brands_form">
    <form method="post">
      <ul class="inline-list">
        <li class="brands">
          <select name="marques" id="marques">
            <option value='-1' disabled selected>Brand</option>
            <?php
            foreach ($product_tax_parents as $parent) {
              ?>
              <option value="<?php echo $parent->slug ?>"
                      data-id="<?php echo $parent->term_id ?>"><?php echo $parent->name;
                if ($parent->count > 0):
                  ?>
                  (<?php echo $parent->count ?>)
                  <?php
                endif;
                ?>
              </option>
              <?php
            }
            ?>
          </select>

        </li>
        <li class="keyword">
          <select id="models">
          </select>
        </li>
        <li class="year">
          <select id="year">
          </select>
        </li>
        <li class="search">
          <input type="button" class="button <?php echo esc_attr($osterisk_button_class) ?>" value="<?php echo esc_attr($osterisk_button_text) ?>">
        </li>
      </ul>
    </form>
  </div>
  <?php
  return ob_get_clean();
}

add_shortcode('osterisk_models', 'osterisk_models_code');
}
