<?php
function wd_client($atts) {

	extract( shortcode_atts( array(

		'images' => '',
		'layout_style' => 'carousel',
		'elements_to_show' => '4',
		'columns' => '3',
		'nav_arrow' => 'no',

		'css_animation' => 'no'
	), $atts ) );

	$animation_classes =  "";
	$data_animated = "";
	if(($css_animation != 'no')){
		$animation_classes =  " animated ";
		$data_animated = "data-animated=$css_animation";
	}


	ob_start();

	$images = explode( ',', $images );
	?>
	<?php if ($layout_style == 'carousel') { ?>

		<div  class="wd-clients-carousel <?php if ($nav_arrow !== 'yes'){ echo 'nav_arrow'; }; ?>" data-clientshow = "<?php echo $elements_to_show ?>">

			<?php foreach ( $images as $attach_id ): ?>
				<?php
				if ( $attach_id > 0 ) {
					$post_thumbnail = wp_get_attachment_image_src($attach_id);
				} else {
					$post_thumbnail = array();
					$post_thumbnail['thumbnail'] = '<img src="' . vc_asset_url( 'vc/no_image.png' ) . '" />';
					$post_thumbnail['p_img_large'][0] = vc_asset_url( 'vc/no_image.png' );
				}
				?>
				<div class="wd-clients-carousel-item <?php echo esc_attr($animation_classes)  ?>"  <?php echo esc_attr($data_animated); ?>>
					<img  class="" src="<?php echo esc_url($post_thumbnail[0]) ?>" width="<?php echo esc_attr($post_thumbnail[1]) ?>" height="<?php echo esc_attr($post_thumbnail[2]) ?>" alt="">
				</div>
				<?php

			endforeach;?>

		</div>
	<?php } else { ?>
		<div class="wd-clients-grid clearfix">
		<ul class=" large-up-<?php echo esc_attr($columns); ?> columns">

			<?php foreach ( $images as $attach_id ): ?>
				<?php
				if ( $attach_id > 0 ) {
					$post_thumbnail = wp_get_attachment_image_src($attach_id);
				} else {
					$post_thumbnail = array();
					$post_thumbnail['thumbnail'] = '<img src="' . vc_asset_url( 'vc/no_image.png' ) . '" />';
					$post_thumbnail['p_img_large'][0] = vc_asset_url( 'vc/no_image.png' );
				}
				?>
				<li class="column column-block <?php echo $animation_classes ?>" <?php echo esc_attr($data_animated); ?>>
					<div class="wd-clients-container">
						<img  class="" src="<?php echo esc_url($post_thumbnail[0]) ?>" width="<?php echo esc_attr($post_thumbnail[1]) ?>" height="<?php echo esc_attr($post_thumbnail[2]) ?>" alt="">
					</div>
				</li>
				<?php

			endforeach;?>
		</ul>
			<div class="firs-shadow"></div>
			<div class="sec-shadow"></div>
		</div>
	<?php } ?>
	<?php return ob_get_clean();
}
add_shortcode( 'wd_client', 'wd_client' );
?>