<?php
function wd_vc_portfolio ($atts) {
	extract(shortcode_atts(array(
		'itemperpage' => '10',
		'columns' => '3',
		'layout' => 'layout-1',
		'css_animation' => 'no'
	), $atts));
	ob_start();

  $data_animated = $animation_classes = "";

	if(($css_animation != 'no')){
		$animation_classes =  " animated ";
		$data_animated = "data-animated=$css_animation";
	}

	$loop = new WP_Query(array('post_type' => 'portfolio', 'posts_per_page' => $itemperpage));
	if($layout == 'layout-1') {
		?>
		<ul class='portfolio-<?php echo $layout; ?> large-up-<?php echo $columns; ?> columns'>
			<?php
			while($loop->have_posts()) : $loop->the_post(); ?>
				<li class="portfolio-<?php echo $layout . $animation_classes; ?> column column-block"  <?php echo esc_attr($data_animated); ?>>
					<div class="item">
						<?php the_post_thumbnail('osterisk_portfolio') ?>
						<div class="info">
							<div class="wd-portfolio-category-holder animated-item">
								<?php
								$terms = get_the_terms( get_the_ID(), 'projet' );
								if ( $terms && ! is_wp_error( $terms ) ) {
									foreach($terms as $term) {?>
											<a class="wd-portfolio-category" href="<?php the_permalink(); ?>"><?php  echo $term->name   ?></a>
								<?php	}
								} ?>
							</div>
							<h4 class="animated-item"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
						</div>
					</div>

				</li>
			<?php endwhile; ?>
		</ul>
		<?php
	}
	else {
		$portfolio_cats = osterisk_get_categories('projet');
		?>
		<div class="filters">
			<div class="button-group filters-button-group">
				<button class="portfolio_cats is-checked" data-filter="*"><?php echo esc_html__('show all', 'osterisk'); ?></button>
				<?php
				foreach($portfolio_cats as $cats) {
					echo '<button class="portfolio_cats" data-filter=".' . esc_attr($cats) . '">' . esc_html($cats) . '</button> ';
				}
				?>
			</div>
		</div>

	<ul class="portfolio-grid-items portfolio-<?php echo $layout;
	if($layout !== 'layout-4') { ?> large-up-<?php echo $columns;
	} ?> columns">
		<?php
		$comp = 0;
		while($loop->have_posts()) : $loop->the_post();
			$terms = wp_get_object_terms(get_the_ID(), 'projet');
			// init counter
			if($layout == 'layout-4') {
				if($comp == 0 || $comp == 9) {
					$img_width = 1000;
					$img_height = 1000;
					$tile_size = "two-two";
				}
				if($comp == 1 || $comp == 2 || $comp == 3 || $comp == 4 || $comp == 5 || $comp == 6 || $comp == 7 || $comp == 8) {
					$img_width = 500;
					$img_height = 500;
					$tile_size = "one-one";
				}
				if($comp == 9) {
					$comp = 0;
				}
			}
			else {
				$tile_size = '';
			}
			$comp++;
			?>
			<li class="column column-block element-item <?php echo $tile_size . ' ';
			foreach($terms as $term) {
				echo $term->slug . ' ';
			} ?> " data-category="<?php foreach($terms as $term) {
				echo $term->slug;
				break;
			} ?>">
				<article class="portfolio-grid-items-content">
					<?php
					if($layout == 'layout-2') {
						the_post_thumbnail('osterisk_portfolio');
					}
					elseif($layout == 'layout-3') {
						$thumb = get_post_thumbnail_id();
						$img_url = wp_get_attachment_url($thumb, 'full');
						$image = aq_resize($img_url, 700, true); ?>
						<img src="<?php echo esc_attr($image) ?>" alt="<?php the_title(); ?>"/>
						<?php
					}
					elseif($layout == 'layout-4') {
						$thumb = get_post_thumbnail_id();
						$img_url = wp_get_attachment_url($thumb, 'full');
						$image = aq_resize($img_url, $img_width, $img_height, true); ?>
						<img src="<?php echo esc_attr($image) ?>" alt="<?php the_title(); ?>"/>
					<?php }
					?>
						<div class="portfolio_disc">
							<article class="portfolio_int">
								<a class="portfolio_icon" href="#"><i class="fa fa-link" aria-hidden="true"></i></a>
								<a class="portfolio_icon" href="#"><i class="fa fa-search" aria-hidden="true"></i></a>
								<a class="portfolio_icon" href="#"><i class="fa fa-plus" aria-hidden="true"></i></a>
								<h3 class="portfolio_title"><?php the_title(); ?></h3>
							</article>
					</div>
				</article>
			</li>
		<?php endwhile; ?>
		<?php
	}
	return ob_get_clean();
}

add_shortcode('wd_vc_portfolio', 'wd_vc_portfolio'); ?>