<?php 
function wd_pricing_table($atts) {
    @$plan_options = vc_param_group_parse_atts($atts['plan_options']);
    @$sub_options = vc_param_group_parse_atts($atts['sub_options']);
    extract(shortcode_atts(array(
        'title' => 'Basic',
        'price' => '$31',
        'sub_price' => '99',
        'description' => 'An awesome description',
        'button_text' => 'Buy Now',
        'button_link' => '#',
        'has_value' => '',
        'lines_min' => '10',
        'per_value' => 'mo per user',
        'featured' => '',
        'shadow' => '',
        'table_css' => '',
        'text_color' => '',
        //___________animation___________
        'css_animation' => 'no'

    ), $atts));

    $animation_classes = $data_animated = "";
    if(($css_animation != 'no')){
        $animation_classes =  " animated ";
        $data_animated = "data-animated=$css_animation";
    }

    $css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $table_css, ' ' ), 'wd_pricing_table', $atts );
    $button_link = vc_build_link( $button_link );
    if ( $featured == 'featured') {
        $featured = ' pricing-table--featured ';
    }

    ob_start(); ?>
    <div class="pricing-table <?php echo $shadow . $featured . $animation_classes; echo esc_attr( $css_class ) ?>"
         style="<?php $text_color !== '' ? print 'color : '.$text_color.';' : print ''; ?>"  <?php echo esc_attr($data_animated); ?>>
        <div class="__pricing-table-header">
            <div class="__pricing-table-header-left">
                <h3><?php echo $title; ?></h3>
                <span><?php echo $lines_min; ?> lines min</span>
            </div>
            <div class="__pricing-table-header-right">
                <div class="price">
                    <span class="currency">$</span>
                    <span class="price-value"> <?php echo $price; ?></span>
                    <span class="value"> <?php echo $sub_price; ?></span>
                </div>
                <span>/<?php echo $per_value; ?></span>
            </div>
        </div>
        <div class="__pricing-table-sub-body" style="<?php $text_color !== '' ? print 'border-bottom: 2px solid '.$text_color.';border-top: 2px solid '.$text_color.';' : print ''; ?>">
            <ul>
                <?php
                if(count($sub_options) != 0) {
                    foreach ($sub_options as $sub_option) { ?>
                        <li><?php echo $sub_option['sub_option']; ?></li>
                    <?php } } ?>
            </ul>
        </div>
        <div class="__pricing-table-body">
            <ul class="package-list">
                <?php
                if(count($plan_options) != 0) {
                    foreach ($plan_options as $plan_option) { ?>
                        <li class="<?php echo $plan_option['has_value'];?>"><?php echo $plan_option['plan_option']; ?></li>
                    <?php } } ?>
            </ul>
        </div>
        <?php if($button_link['title'] != '') {            ?>
            <div class="readmore-button">
                <a href="<?php echo $button_link['url'] ?>" ><?php echo $button_link['title']; ?></a>
            </div>
        <?php } ?>
    </div>

    <?php return ob_get_clean();
}
add_shortcode( 'wd_pricing_table', 'wd_pricing_table' );